Récupérer un appel de l'historique
curl --request GET \
--url https://api.example.com/api/history/{id}import requests
url = "https://api.example.com/api/history/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/history/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Historique
Récupérer un appel de l'historique
Récupérer un enregistrement spécifique de l’historique des appels avec sa transcription
GET
/
api
/
history
/
{id}
Récupérer un appel de l'historique
Requête
curl "https://app.orova.ai/api/history/HISTORY_ID" \
-H "x-api-key: YOUR_API_KEY"
Paramètres de chemin
| Paramètre | Type | Description |
|---|---|---|
id | string | ID de l’enregistrement d’historique |
Réponse
{
"_id": "history_id",
"agentType": "voice",
"fullName": "John Doe",
"mobileNumber": "+1234567890",
"callDuration": 120,
"callEndReason": "user_hangup",
"callTranscript": "Agent: Hi! How can I help?\nUser: I have a billing question...",
"callSummary": "Customer called about billing. Agent resolved the issue.",
"callCost": 0.05,
"callRecordingUrl": "s3://bucket/recording.wav",
"workspace_id": "WORKSPACE_ID",
"createdAt": "2025-01-01T00:00:00.000Z"
}
Obtenir l’URL de l’enregistrement
Les enregistrements sont stockés sur S3. Pour obtenir une URL de téléchargement présignée :curl "https://app.orova.ai/api/history/HISTORY_ID/recording-url" \
-H "x-api-key: YOUR_API_KEY"
Cette page vous a-t-elle été utile ?
⌘I

